################################################################################
# REQUIRED R PACKAGES (ONE TIME INSTALL ONLY)                                  #
################################################################################
install.packages("meboot")
install.packages("hdrcde")

################################################################################
# INITIALIZATION                                                               #
################################################################################
library("meboot");library("boot");library("hdrcde");library("lmtest")
source("rolling-meboot-function-(2012-11).R")

################################################################################
# LOADING THE DATA AND RUNNING THE COMMAND                                     #
################################################################################
#setwd("D:/")
getwd()
newdata <- ts(read.csv(file="rolling-meboot-example-(data).csv"))
summary(newdata)

bhat <- rolling.meboot(newdata,wthW=36,prbC=0.8)
write.csv(bhat[1],file="rolling-meboot-example-(out1).csv",row.names=FALSE)
write.csv(bhat[2],file="rolling-meboot-example-(out2).csv",row.names=FALSE)
write.csv(bhat[3],file="rolling-meboot-example-(out3).csv",row.names=FALSE)

################################################################################
# The above commands call the rolling-meboot function with the window width=36 #
# and the coverage probability=0.8. For more details, see the readme.txt file. #
################################################################################


